| Home | Libraries | People | FAQ | More

## Function crop

boost::histogram::algorithm::crop — Crop command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command crop(unsigned iaxis, double lower, double upper);

## Description

Command is applied to axis with given index.

Works like `shrink` (see shrink documentation for details), but counts in removed bins are always discarded, whether underflow and overflow bins are present or not.

Parameters:

`iaxis` | which axis to operate on.
`lower` | bin which contains lower is first to be kept.
`upper` | bin which contains upper is last to be kept, except if upper is equal to the lower edge.